Subject: Re: if YOU use a Windows GUI for Git, i would appreciate knowing which one and why

From: David Aguilar <[email-masked]>
Date: Sun, 28 Apr 2019 02:33:21 -0700

On Mon, Nov 05, 2018 at 12:26:08PM +0000, Philip Oakley wrote:
> > [2b] What is your reason for your [2a] preference?
> Many of the other Gui's hide the power of Git and its new abstraction of no
> longer actually being about "Control" (by 'management'). Now it is about
> veracity. If you have the right object ID (sha1/sha256) you have an
> identical original [there are no 'copies', all Mona Lisas with the hash are
> the same]. Management can choose which hash to accept upstream.
> 
> Most other Gui's try to hide behind the old school Master-copy view point
> that was developed in the 19th century for drawing office control. If you
> damaged the master drawing the ability to make things and do business was
> lost. Protecting the master drawing was everything. They were traced before
> they went to the blue print machine. Changes were batched up before the
> master could be touched (that risk again).
> 
> Too may Gui's (and their Managements!) still try to work the old way,
> loosing all the potential benefits. They are still hammer wielders looking
> for nails, and only finding screws to smash.

Hello,

Here are a few reasons why you should try Git Cola:

- Git Cola does not hide the power of Git.

- Git Cola extends Git in the UNIX spirit by providing a convenient
  frontend to common Git commands and operations.

- Git Cola's Diff editor is focused around the Git-centric idea of
  creating small commits through partial staging.

- It has a keyboard-centric interface with vim-style navigation hotkeys.

- Git Cola is Free software and has the same license as Git.

- Python + Qt is easy to hack

https://github.com/git-cola/git-cola

https://git-cola.github.io/downloads.html
-- 
David